"use strict";
/* eslint-disable class-methods-use-this, no-plusplus */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const moment_1 = __importDefault(require("moment"));
const xml2json_1 = __importDefault(require("xml2json"));
const constants_1 = require("../constants");
// prettier-ignore
class FEDBalanceSheet {
    async totalAssets(start, end) {
        try {
            const fedBalanceXML = await axios_1.default.get(constants_1.FED_BALANCE_URL);
            const fedBalanceInJson = JSON.parse(xml2json_1.default.toJson(fedBalanceXML.data));
            const result = fedBalanceInJson.page.chart[0].series.observation
                .map((record) => ({
                date: moment_1.default(record.index, 'D-MMM-YY').format('YYYY-MM-DD'),
                value: Number(record.value)
            }));
            if (start && !end) {
                return result.filter((record) => moment_1.default(record.date).isSameOrAfter(moment_1.default(start)));
            }
            if (!start && end) {
                return result.filter((record) => moment_1.default(record.date).isSameOrBefore(moment_1.default(end)));
            }
            if (start && end) {
                return result.filter((record) => moment_1.default(record.date).isSameOrAfter(moment_1.default(start))
                    && moment_1.default(record.date).isSameOrBefore(moment_1.default(end)));
            }
            return result;
        }
        catch (error) {
            return undefined;
        }
    }
}
exports.default = FEDBalanceSheet;
//# sourceMappingURL=index.js.map