"use strict";
/* eslint-disable no-plusplus */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
const sma_1 = __importDefault(require("./sma"));
// prettier-ignore
const EMA = (period, data) => {
    if (!data) {
        return new Error('Data undefined.');
    }
    if (data.length - 1 < period) {
        return new Error('Not enough data to compute EMA for the target period.');
    }
    const result = [];
    const multiplier = 2 / (period + 1);
    const sma = sma_1.default(period, lodash_1.default.slice(data, 0, period));
    if (!(sma instanceof Error)) {
        let baseEMA = sma[0];
        for (let i = period; i < data.length; i++) {
            const currentEMA = multiplier * Number(data[i].close) + (1 - multiplier) * baseEMA;
            result.push(currentEMA);
            baseEMA = currentEMA;
        }
    }
    return result;
};
exports.default = EMA;
//# sourceMappingURL=ema.js.map