"use strict";
/* eslint-disable no-plusplus */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
// prettier-ignore
const SMA = (period, data) => {
    if (!data) {
        return new Error('Data undefined.');
    }
    if (data.length < period) {
        return new Error('Not enough data to compute SMA for the target period.');
    }
    const result = [];
    const calculations = data.length - period + 1;
    for (let i = 0; i < calculations; i++) {
        result.push(lodash_1.default.round(lodash_1.default.sum(lodash_1.default.slice(data, i, i + period).map((d) => d.close)) / period, 2));
    }
    return result;
};
exports.default = SMA;
//# sourceMappingURL=sma.js.map